API Reference

List Attendees

Fetch a paginated list of attendees in your organization.

GET/api/v1/attendees

Returns up to 500 attendees for the organization linked to your API key. You can use `limit` and `offset` for pagination. The `is_enrolled` flag indicates if the attendee has registered their face for AI check-in.

Authorization

Bearer Token Required

Include your API key in the Authorization header as Bearer attg_live_…

Headers

ParameterTypeRequiredDescription
AuthorizationstringrequiredBearer token. Format: `Bearer attg_live_…`

Query Parameters

ParameterTypeRequiredDescription
limitnumberoptionalMax results (default 100, max 500)
offsetnumberoptionalPagination offset (default 0)

Rate Limits

120 requests per 60s window per IP address.

Responses

Responses

Attendees returned successfully.

{
  "ok": true,
  "data": [
    {
      "id": "uuid",
      "first_name": "Ahmed",
      "last_name": "Ali",
      "phone": "123",
      "is_enrolled": true
    }
  ],
  "meta": {
    "count": 1
  }
}